<%@ taglib uri="jakarta.tags.core" prefix="c" %>
<%@ page isELIgnored="false" %> 
<html>
    <head>
        <link rel="stylesheet" href="${WEB_ROOT}/style/main.css">
    </head>
    <body>
        <h2>Hello ${username}</h2>
        <a href="${WEB_ROOT}/logout">logout</a>
        <h3>download dependencies of given artifact:</h3>
        <form method="get" action="${WEB_ROOT}/download/jars">
            <input type="hidden" name="type" value="artifact"/>
            <div class="row">
                <div class="label">
                    <label for="repository">Repository:</label>
                </div>
                <div class="input">
                    <input type="text" name="repository" id="repository" value="https://source.devloop.de/api/packages/damage/maven/" />
                </div>
            </div>
            <div class="row">
                <div class="label">
                    <label for="groupId">Group ID:</label>
                </div>
                <div class="input small">
                    <input type="text" name="groupId" id="groupId" value="org.apache.activemq"/>
                </div>
            </div>
            <div class="row">
                <div class="label">
                    <label for="artifactId">Artifact ID:</label>
                </div>
                <div class="input small">
                    <input type="text" name="artifactId" id="artifactId" value="artemis-core-client"/>
                </div>
            </div>
            <div class="row">
                <div class="label">
                    <label for="version">Version:</label>
                </div>
                <div class="input small">
                    <input type="text" name="version" id="version" value="2.39.0"/>
                </div>
            </div>
            <input type="submit" value="download by artifact"/>
        </form>

        <h3>download dependencies as given in pom.xml:</h3>
        <form method="post" action="${WEB_ROOT}/download/jars">
            <input type="hidden" name="type" value="pom"/>
            <div class="row">
                <div class="input big">
                    <textarea name="pom" id="pom"></textarea><br/>
                </div>
            </div>
            <input type="submit" value="download by pom.xml"/>
        </form>
    </body>
</html>
